> For the complete documentation index, see [llms.txt](https://docs.mburger.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mburger.cloud/how-to/get-images-with-various-format.md).

# Get images with various format

{% tabs %}
{% tab title="cURL" %}

```
// Work in progress
```

{% endtab %}

{% tab title="iOS SDK" %}

```swift
// Requests all images in the original format.
MBClient.getSection(withId: SECTION_ID,
                    parameters: [MBOriginalMediaParameter()],
                    success: { section in
                                
                    },
                    failure: { error in
                                
                    })

// Requests images with a thumb format.
MBClient.getSection(withId: SECTION_ID,
                    parameters: [MBImageFormatParameter(format: MBImageFormat.thumb)],
                    success: { section in
                                
                    },
                    failure: { error in
                                
                    })
```

{% endtab %}

{% tab title="Android SDK" %}

```kotlin
val arrayParameters = ArrayList<Any>()
arrayParameters.add(MBImageFormatParameter(format = IMAGE_FORMAT))
/*Use MBImageFormat, which is an enum with:
* --- ORIGINAL
* --- THUMB
* --- MEDIUM
* --- LARGE                          
*/

val sectionsListener = object: MBSectionsResultListener{
            override fun onSectionsApiError(error: String) {
            }

            override fun onSectionsApiResult(sections: ArrayList<MBSection>, 
                                             block_id: Long, 
                                             paginationInfos: MBPaginationInfo) {
            }
        }
        
MBurgerTasks.askForSections(context = applicationContext, 
                         block_id = BLOCK_ID,
                         filters = arrayParameters,
                         getElements = true,
                         listener = sectionsListener)
```

{% endtab %}

{% tab title="PHP SDK" %}

```
// work in progress
```

{% endtab %}

{% tab title="JS SDK" %}

```
// work in progress
```

{% endtab %}

{% tab title="Flutter SDK" %}

```dart
// Requests all images in the original format.
MBPaginatedResponse<MBSection> sections =
    await MBManager.shared.getSections(
  blockId: BLOCK_ID,
  parameters: [MBOriginalMediaParameter()],
);

// Requests images with a thumb format.
MBPaginatedResponse<MBSection> sections =
    await MBManager.shared.getSections(
  blockId: BLOCK_ID,
  parameters: [MBImageFormatParameter(format: MBImageFormat.thumb)],
);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mburger.cloud/how-to/get-images-with-various-format.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
